Kerbal Space Program - Bug #529

Texture problems on Linux - KSP for Steam.
04/09/2013 01:01 AM - MystX

Status: Not a Bug Start date: 04/09/2013
Severity: Very Low % Done: 0%
Assignee:

Category: Camera

Target version:

Version: 0.19 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Texture errors on Kerbin - seems to only be present in the staging view.
The attached picture shows what | mean.

Arch Linux x64
ATI HD5850, Proprietary Catalyst drivers
Running through steam (so KSP x86).

History

#1 - 04/09/2013 06:27 AM - Ted

Wow, those are pretty insane artifacts. How reproducable is this issue? Any chance you could elaborate on the circumstances that it occurs under or
provide your player.log? Thanks.

#2 - 04/09/2013 07:14 AM - MystX

- File Player.log added

- File 2013-04-10-000513_3840x1080_scrot.png added
- File 2013-04-10-000605_1920x1080_scrot.png added

Attached is the player.log in .config/unity3d/Squad/Kerbal Space Program/
After a reboot and starting a new game the problem still exists.

First screenshot shows small artifacts that occur randomly on dialogs and some text popups. Some text usually gets garbled in the process.
The staging view is very mangled (second screenshot), but the orbit view seems to work fine.

Sorry | cant be more specific. | have no idea what would cause this.
It's worth mentioning that KSP works fine on my laptop running Archlinux on an Ati HD6320

#3 - 04/09/2013 01:16 PM - sal_vager
Which driver in specific is this?
It might be worth verifying that the driver is correctly installed and working by using the information here:

http://wiki.cchtml.com/index.php/Verifying

#4 - 04/09/2013 04:55 PM - MystX

Catalyst ver 13.1

fglrx output:

display: :0.0 screen: 0

OpenGL vendor string: Advanced Micro Devices, Inc.

OpenGL renderer string: ATI Radeon HD 5800 Series

OpenGL version string: 4.2.12002 Compatibility Profile Context 9.012
fgl_glxgears works as expected also.

This is a brand new install of Arch, so perhaps | am missing a dependancy somewhere. | will check.
http://wiki.cchtml.com/index.php/Verifying

#5 - 04/09/2013 05:14 PM - MystX

| had some missing dependancies for the 32 bit version, but fixing these did not solve the problem.

This is the output of Idd now:

linux-gate.so.1 (0xf7738000)

libGLU.s0.1 => /usr/lib32/libGLU.s0.1 (0xf769d000)
libGL.s0.1 => /usr/lib32/libGL.s0.1 (0xf75b2000)
libX11.50.6 => /usr/lib32/libX11.50.6 (0xf747b000)
libXext.s0.6 => /ust/lib32/libXext.s0.6 (0xf7469000)
libXcursor.so.1 => /usr/lib32/libXcursor.so.1 (0xf745d000)
libdl.s0.2 => /ust/lib32/libdl.so0.2 (0xf7458000)
libpthread.so0.0 => /usr/lib32/libpthread.s0.0 (0xf743d000)
librt.so.1 => /usr/lib32/librt.so.1 (0xf7434000)
libstdc++.50.6 => /ust/lib32/libstdc++.50.6 (0xf734a000)
libm.s0.6 => /usr/lib32/libm.s0.6 (0xf7307000)
libgcc_s.so0.1 => /usr/lib32/libgcc_s.s0.1 (0xf72eb000)
libc.s0.6 => /ust/lib32/libc.s0.6 (0xf713c000)

libatiuki.s0.1 => /usr/lib32/libatiuki.so.1 (0xf7123000)
libxcb.so.1 => /usr/lib32/libxcb.so.1 (0xf7101000)
libXrender.so.1 => /usr/lib32/libXrender.so.1 (0xf70f7000)
libXfixes.s0.3 => /usr/lib32/libXfixes.s0.3 (0xf70f0000)
/lib/ld-linux.s0.2 (0xf7739000)

libXau.s0.6 => /usr/lib32/libXau.so.6 (0xf70ec000)
libXdmcp.s0.6 => /usr/lib32/libXdmcp.s0.6 (0xf70e5000)

#6 - 04/11/2013 07:53 PM - MystX

Ive also tried the x64 version which encounters the same problem.
It seems that someone on the linux compatibility thread in the forums has the same issue.

#7 - 04/15/2013 06:24 PM - Ruedii
| haven't experienced the same problem with my HD6410D Series (A4 APU).
| have had similar artifacts to this in certain situations on other games, mostly under Wine.

There were several artifact bugs fixed in the recent Beta drivers, have you tried using those.

Additionally, have you tried using the Open Source drivers. The Open Source drivers for the HD5xxx series are now complete and run almost as fast

as the proprietary drivers. It's not like the HD6xxx which has a lot of partially implemented features and lacks an optimized compiler.

#8 - 05/18/2013 04:56 AM - Ted

MystX, are you still having this issue in KSP?
If so, have you any more information?

#9 - 08/16/2013 11:20 AM - Ted
- Category set to 30

- Severity changed from Normal to Very Low

#10 - 11/20/2015 12:56 PM - sal_vager

- Status changed from New to Not a Bug

- % Done changed from 0 to 100

No info in 2 years, or other reports like this and this looks to be a driver issue.

Marking as not-a-bug.
